Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.ui.actions
Class RunToLineActionDelegate

    java.lang.Object
      org.eclipse.debug.ui.actions.RunToLineActionDelegate

All Implemented Interfaces:
  IActionDelegate, IActionDelegate2, IEditorActionDelegate

public class RunToLineActionDelegate
extends Object
implements IEditorActionDelegate, IActionDelegate2

A run to line action that can be contributed to a an editor. The action will perform the "run to line" operation for editors that provide an appropriate `IRunToLineTarget` adapter.

Clients may reference/contribute this class as an editor action delegate in plug-in XML. This class is not intended to be subclassed.

Since:
  3.0

Constructor Summary
`RunToLineActionDelegate()`

Method Summary
`void` | `dispose()` Allows the action delegate to clean up.
`void` | `init(IAction action)` Allows the action delegate to initialize itself after being created by the proxy action.
`void` | `run(IAction action)` Performs this action.
`void` | `runWithEvent(IAction action, Event event)` Performs this action, passing the SWT event which triggered it.
`void` | `selectionChanged(IAction action, ISelection selection)` Notifies this action delegate that the selection in the workbench has changed.
`void` | `setActiveEditor(IAction action, IEditorPart targetEditor)` Sets the active editor for the delegate.
`void` | `update()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunToLineActionDelegate

    public RunToLineActionDelegate()

Method Detail

### dispose

    public void dispose()

  Description copied from interface: `IActionDelegate2`
  Allows the action delegate to clean up. This lifecycle method is called when the proxy action is done with this action delegate. This is the last method called.

  Specified by:
    `dispose` in interface `IActionDelegate2`

### run

    public void run(IAction action)

  Description copied from interface: `IActionDelegate`
  Performs this action.

  This method is called by the proxy action when the action has been triggered. Implement this method to do the actual work.

  Note: If the action delegate also implements `IActionDelegate2`, then this method is not invoked but instead the `runWithEvent(IAction, Event)` method is called.

  Specified by:
    `run` in interface `IActionDelegate`
  Parameters:
    `action` - the action proxy that handles the presentation portion of the action

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

  Description copied from interface: `IActionDelegate`
  Notifies this action delegate that the selection in the workbench has changed.

  Implementers can use this opportunity to change the availability of the action or to modify other presentation properties.

  When the selection changes, the action enablement state is updated based on the criteria specified in the plugin.xml file. Then the delegate is notified of the selection change regardless of whether the enablement criteria in the plugin.xml file is met.

  Specified by:
    `selectionChanged` in interface `IActionDelegate`
  Parameters:
    `action` - the action proxy that handles presentation portion of the action
    `selection` - the current selection, or `null` if there is no selection.

### update

    public void update()

### init

    public void init(IAction action)

  Description copied from interface: `IActionDelegate2`
  Allows the action delegate to initialize itself after being created by the proxy action. This lifecycle method is called after the action delegate has been created and before any other method of the action delegate is called.

  Specified by:
    `init` in interface `IActionDelegate2`
  Parameters:
    `action` - the proxy action that handles the presentation portion of the action.

### runWithEvent

    public void runWithEvent(IAction action,
                             Event event)

  Description copied from interface: `IActionDelegate2`
  Performs this action, passing the SWT event which triggered it. This method is called by the proxy action when the action has been triggered. Implement this method to do the actual work.

  Note: This method is called instead of `run(IAction)`.

  Specified by:
    `runWithEvent` in interface `IActionDelegate2`
  Parameters:
    `action` - the action proxy that handles the presentation portion of the action
    `event` - the SWT event which triggered this action being run

### setActiveEditor

    public void setActiveEditor(IAction action,
                                IEditorPart targetEditor)

  Description copied from interface: `IEditorActionDelegate`
  Sets the active editor for the delegate. Implementors should disconnect from the old editor, connect to the new editor, and update the action to reflect the new editor.

  Specified by:
    `setActiveEditor` in interface `IEditorActionDelegate`
  Parameters:
    `action` - the action proxy that handles presentation portion of the action
    `targetEditor` - the new editor target

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.